Bio::MAGETAB::Util::Writer(3)

NAME
Bio::MAGETAB::Util::Writer - Export of MAGE-TAB objects.

SYNOPSIS
 use Bio::MAGETAB::Util::Writer;
 my $writer = Bio::MAGETAB::Util::Writer->new({
    magetab => $magetab_container,
 });

 $writer->write();

DESCRIPTION
This class is designed to export all the MAGE-TAB objects from a given Bio::MAGETAB container, creating as many IDFs, ADFs and SDRFs as are necessary to do so.

Export of the individual MAGE-TAB components is delegated to separate writer classes. See the ADF, IDF and SDRF classes if you want more control over the export process.

ATTRIBUTES

magetab
    The Bio::MAGETAB container to export. This is a required attribute. See the Bio::MAGETAB class for more information on this container class.

export_version
    A string indicating which version of the MAGE-TAB format to export; currently restricted to "1.0" or "1.1". The default is "1.1".

METHODS

write
    Exports all objects into their respective MAGE-TAB components. Filenames are automatically generated from Investigation title, ArrayDesign uri (or name) and SDRF uri attributes.

SEE ALSO
Bio::MAGETAB

AUTHOR
Tim F. Rayner <tfrayner@gmail.com>

LICENSE
This library is released under version 2 of the GNU General Public License (GPL).